Page MenuHomePhabricator

Deploy WikidataPageBanner extension on trwiki
Closed, ResolvedPublic1 Estimate Story Points

Description

The community consensus is here. Thanks.

Details

Related Gerrit Patches:
operations/mediawiki-config : master[trwiki] Enable the WikidataPageBanner extension

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 5 2020, 3:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 570691 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] [trwiki] Enable the WikidataPageBanner extension

https://gerrit.wikimedia.org/r/570691

Per @Jdforrester-WMF on gerrit "Someone from the Web team should sign this off before deployment, in case there are any special requirements."

This might be blocked on us - or just need code review, but putting in blocked on others until we can work out what to do with this task.

nray added a subscriber: nray.Feb 11 2020, 6:14 PM

I will look at this today

nray added a subscriber: ovasileva.Feb 11 2020, 9:44 PM

@Jdforrester-WMF clarified:

Just a check with Web that you're OK with this change and it doesn't go against any plans. If you're OK, I deploy it later today.

@ovasileva I think this is probably okay, but can you confirm from the product side that enabling WikidataPageBanner extension on trwiki will not interfere with any plans we have? It looks like it is already enabled on [1]:

cawiki
euwiki
glwiki
ruwikimedia
test wiki
test2wiki
and most wikivoyages

[1] https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/570691/1/wmf-config/InitialiseSettings.php

@Jdforrester-WMF clarified:

Just a check with Web that you're OK with this change and it doesn't go against any plans. If you're OK, I deploy it later today.

@ovasileva I think this is probably okay, but can you confirm from the product side that enabling WikidataPageBanner extension on trwiki will not interfere with any plans we have? It looks like it is already enabled on [1]:

cawiki
euwiki
glwiki
ruwikimedia
test wiki
test2wiki
and most wikivoyages

[1] https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/570691/1/wmf-config/InitialiseSettings.php

No concerns from my side.

Jdlrobson triaged this task as Low priority.Feb 17 2020, 6:12 PM
Jdlrobson set the point value for this task to 1.

Change 570691 merged by jenkins-bot:
[operations/mediawiki-config@master] [trwiki] Enable the WikidataPageBanner extension

https://gerrit.wikimedia.org/r/570691

Mentioned in SAL (#wikimedia-operations) [2020-02-19T19:18:13Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T244369 [trwiki] Enable the WikidataPageBanner extension (duration: 01m 05s)

Jdforrester-WMF closed this task as Resolved.Feb 19 2020, 7:20 PM
Jdforrester-WMF claimed this task.

Deployed. Thanks, all.